## mahara 1.4.0

=== Makefile ===
all:
	@echo "Run 'make imageoptim' to losslessly optimise all images"
	@echo "Run 'make minaccept' to run the quick pre-commit tests"
	@echo "Run 'make checksignoff' to check that your commits are all Signed-off-by"
	@echo "Run 'make push' to push your changes to the repo"

imageoptim:
	find . -iname '*.png' -exec optipng -o7 -q {} \;
	find . -iname '*.gif' -exec gifsicle -O2 -b {} \;
	find . -iname '*.jpg' -exec jpegoptim -q -p --strip-all {} \;
	find . -iname '*.jpeg' -exec jpegoptim -q -p --strip-all {} \;

minaccept:
	@echo "Running minimum acceptance test..."; find htdocs/ -type f -name "*.php" | xargs -n 1 -P 2 php -l > /dev/null && echo All good!

checksignoff:
	@branch=`git status | head -1 | sed 's/.* On branch //'`; \
	commits=`git log origin/$$branch.. | grep "^commit" | wc -l`; \
	signed=`git log origin/$$branch.. | grep "Signed-off-by: " | wc -l`; \
	if test "$$commits" -ne "$$signed"; then \
		echo "$$(($$commits - $$signed)) commit(s) on $$branch not signed off ($$signed/$$commits)"; \
		false; \
	else \
		echo "All commits signed!"; \
	fi

push: minaccept checksignoff
	if test -z "$(TAG)"; then \
		git push gerrit HEAD:refs/for/1.4_STABLE; \
	else \
		git push gerrit HEAD:refs/for/1.4_STABLE/$(TAG); \
	fi

## mahara 1.2.4

=== debian/changelog ===
mahara (1.2.4-1) unstable; urgency=high

  * New upstream release
    - fix for SQL injection (CVE-2010-0400)

 -- Francois Marier <francois@debian.org>  Tue, 06 Apr 2010 21:07:03 +1200

mahara (1.2.3-1) unstable; urgency=low

  * New upstream release
  * Fix error in postrm script for when /usr/share/mahara/theme/ doesn't exist

  * Bump Standards-Version to 3.8.4
  * Switch team maintenance email address to a Launchpad mailing list

 -- Francois Marier <francois@debian.org>  Mon, 08 Feb 2010 11:58:22 +1300

mahara (1.2.0-2) unstable; urgency=low

  * Fix postrm script so that Mahara can be uninstalled

 -- Francois Marier <francois@debian.org>  Fri, 27 Nov 2009 22:09:03 +1300

mahara (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Replace smarty with dwoo in dependencies and post{inst,rm} scripts
  * Remove snoopy which is no longer used in Mahara
  * Update config.php based on upstream's config-dist.php

  * Remove Nigel from uploaders
  * Update download URL in debian/watch and debian/copyright
  * Switch to source package format 3.0 (quilt)
  * Update copyright year in debian/copyright

 -- Francois Marier <francois@debian.org>  Fri, 27 Nov 2009 16:49:48 +1300

mahara (1.1.7-1) unstable; urgency=high

  * New upstream release
    - Privilege escalation fix (CVE-2009-3298)
    - XSS fix (CVE-2009-3299)

  * Bump Standards-Version up to 3.8.3
  * Switch packaging license to refer to GPL-3
  * debian/mahara.config: Move -e to a separate line to silence lintian

 -- Francois Marier <francois@debian.org>  Fri, 30 Oct 2009 13:46:40 +1300

mahara (1.1.6-1) unstable; urgency=low

  * New Upstream Version
  * README.Debian: must specify the character set when creating a database
    in the default instal of MySQL on Debian

 -- Francois Marier <francois@debian.org>  Thu, 06 Aug 2009 22:22:01 +1200

mahara (1.1.5-1) unstable; urgency=high

  * New Upstream Version
    - fixes multiple xSS vulnerabilities
    - fix for an information disclosure bug
  * Bump Standards-Version to 3.8.2

 -- Francois Marier <francois@debian.org>  Mon, 22 Jun 2009 15:17:25 +1200

mahara (1.1.3-1) unstable; urgency=high

  * New Upstream Version
    - fixes XSS issues in user profile field and text boxes in user views
      (CVE-2009-0664)
    - fixes remote code execution in the bundled copy of html2text
      (CVE-2008-5619, closes: #524778)
  * Bump Standards-Version to 3.8.1 (no changes)
  * Remove execute bit on a bunch of Javascript files (lintian warning)

 -- Francois Marier <francois@debian.org>  Wed, 22 Apr 2009 17:06:36 +1200

mahara (1.1.2-1) unstable; urgency=high

  * New Upstream Version
    - fixes multiple XSS vulnerabilities (CVE-2009-0660)

 -- Francois Marier <francois@debian.org>  Tue, 10 Mar 2009 19:44:14 +1300

mahara (1.1.1-1) unstable; urgency=medium

  * New Upstream Version
    - fixes broken upgrades on MySQL

 -- Francois Marier <francois@debian.org>  Mon, 02 Mar 2009 12:08:42 +1300

mahara (1.1.0-1) unstable; urgency=low

  * New Upstream Version
  * Add dependency on php5-curl (instead of being only recommended)
  * Mention the 3rd install step (logging in as admin) in README.Debian

 -- Francois Marier <francois@debian.org>  Thu, 26 Feb 2009 12:57:40 +1300

mahara (1.0.9-2) unstable; urgency=low

  * debian/mahara.postrm: delete the snoopy symlink
  * debian/mahara.postinst: create a lib/smarty/libs symlink when necessary
    (for example on Ubuntu)

 -- Francois Marier <francois@debian.org>  Mon, 09 Feb 2009 17:55:38 +1300

mahara (1.0.9-1) unstable; urgency=high

  * New Upstream Version
    - fixes XSS vulnerability in forum posts
  * debian/copyright: add the word "copyright" to fix a lintian notice

 -- Francois Marier <francois@debian.org>  Tue, 03 Feb 2009 18:26:32 +1300

mahara (1.0.6-1) unstable; urgency=low

  * New upstream version

 -- Francois Marier <francois@debian.org>  Sun, 09 Nov 2008 23:45:15 +1300

mahara (1.0.5-2) unstable; urgency=high

  * Depend on libphp-snoopy instead of using the embedded copy shipped
    with Mahara (CVE-2008-4796, closes: #504170)
  * Backport upstream's patch (41189c30d198153dc66dc867e160dab948929458)
    to phpmailer (CVE-2007-3125, closes: #504253)
  * Add lintian overrides for the customised embedded libraries

 -- Francois Marier <francois@debian.org>  Mon, 03 Nov 2008 19:16:44 +1300

mahara (1.0.5-1) unstable; urgency=low

  * New Upstream Version
  * Fix comments in maintainer scripts (closes: #491924)
  * Add lintian override for embedded copies of mochikit
  * Bump debhelper compatibility to 7 to use dh_lintian

 -- Francois Marier <francois@debian.org>  Mon, 29 Sep 2008 13:00:12 +1300

mahara (1.0.4-2) unstable; urgency=low

  * Compress the package using bzip2
  * Remove non-userdata directories in /var/lib/mahara when purging
  * Clarify the MySQL instructions in README.Debian

  * Add Galician debconf translation (closes: #488185). Thanks Jacobo!
  * Add Japanese debconf translation (closes: #488338). Thanks Tsunoda!
  * Add Czech debconf translation (closes: #488368). Thanks Miroslav!
  * Add Turkish debconf translation (closes: #488507). Thanks Mert!
  * Add Russian debconf translation (closes: #489168). Thanks Yuri!
  * Add Finnish debconf translation (closes: #489121). Thanks Esko!
  * Add Vietnamese debconf translation (closes: #489402). Thanks Clytie! 

 -- Francois Marier <francois@debian.org>  Mon, 07 Jul 2008 11:23:15 +1200

mahara (1.0.4-1) unstable; urgency=low

  [ Francois Marier ]
  * Add Swedish debconf translation (closes: #487724). Thanks Martin!
  * Remove outdated NEWS file

  [ Nigel McNie ]
  * New Upstream Version

 -- Francois Marier <francois@debian.org>  Wed, 25 Jun 2008 16:52:34 +1200

mahara (1.0.3-1) unstable; urgency=low

  [ Nigel McNie ]
  * New Upstream Version
  * Tweak apache rules to give access to some required files (closes: #479858)

  [ Francois Marier ]
  * Bump Standards-Version up to 3.8.0
  * Bump the Postgres version number to 8.3 to match the latest version in sid



=== debian/control ===
Source: mahara
Section: web
Priority: optional
Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
Build-Depends: debhelper (>= 7), po-debconf
Standards-Version: 3.8.4
Homepage: http://www.mahara.org
Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary

Package: mahara
Architecture: all
Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl
Recommends: mahara-apache2, postgresql | postgresql-8.3 | mysql-server | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
Description: Electronic portfolio, weblog, and resume builder
 Mahara is a fully featured electronic portfolio, weblog, resume builder and
 social networking system, connecting users and  creating online communities.
 .
 Mahara is designed to provide users with the tools to create a personal and
 professional learning and development environment.
 .
 This is the core Mahara package, it does not include any of the web server
 configuration.

Package: mahara-apache2
Architecture: all
Depends: ${misc:Depends}, mahara (>= 1.0.1-1), apache2, libapache2-mod-php5
Conflicts: mahara-apache
Description: Electronic portfolio, weblog, and resume builder - apache2 configuration
 Mahara is a fully featured electronic portfolio, weblog, resume builder and
 social networking system, connecting users and  creating online communities.
 .
 Mahara is designed to provide users with the tools to create a personal and
 professional learning and development environment.
 .
 This package configures Mahara for the Apache 2.x web server.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp

install: configure-stamp
	dh_testdir
	dh_testroot
	dh_installdirs

	# Main Mahara files
	cp -r $(CURDIR)/htdocs/* $(CURDIR)/debian/mahara/usr/share/mahara

	# Exclude common files
	find $(CURDIR)/debian/mahara/usr/share/mahara/ -name "readme.txt" -exec rm {} \;
	find $(CURDIR)/debian/mahara/usr/share/mahara/ -name "license.txt" -exec rm {} \;
	find $(CURDIR)/debian/mahara/usr/share/mahara/ -name "COPYING*" -exec rm {} \;
	find $(CURDIR)/debian/mahara/usr/share/mahara/ -name "README" -exec rm {} \;
	find $(CURDIR)/debian/mahara/usr/share/mahara/ -name "LICENSE*" -exec rm {} \;
	find $(CURDIR)/debian/mahara/usr/share/mahara/theme -name "captcha.ttf" -exec rm {} \;

	# Exclude specific files/directories
	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/robots.txt
	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/phpmailer/ChangeLog.txt
	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/adodb/docs/
	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/adodb/tests/
	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/adodb/pear/readme.Auth.txt
	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/File
	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/File.php
	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR
	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR.php
	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/dwoo/dwoo

	# Fix broken permissions
	chmod -x $(CURDIR)/debian/mahara/usr/share/mahara/lib/pieforms/pieform/*/*.php

	# Config files (common package)
	cp $(CURDIR)/debian/config.php $(CURDIR)/debian/mahara/etc/mahara/
	cp $(CURDIR)/htdocs/robots.txt $(CURDIR)/debian/mahara/etc/mahara/

	# Config file (-apache2)
	cp $(CURDIR)/htdocs/.htaccess $(CURDIR)/debian/mahara-apache2/usr/share/mahara
	cp $(CURDIR)/debian/apache.conf $(CURDIR)/debian/mahara-apache2/etc/mahara/apache.conf

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp
	dh_clean 
	debconf-updatepo

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installdebconf
	dh_installcron
	dh_installlogrotate
	dh_compress 
	dh_fixperms
	dh_lintian
	dh_installdeb
	dh_link
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Z bzip2

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch install configure

## mahara 1.2.5

=== debian/changelog ===
mahara (1.2.5-2ubuntu0.4) maverick-security; urgency=low

  * SECURITY UPDATE: Fix default config for sites with multiple SAML instances
    - Default configuration changed to prevent impersonation (LP: #958841)
    - debian/patches/saml_multi_default_config.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Wed, 21 Mar 2012 00:23:05 +0000

mahara (1.2.5-2ubuntu0.3) maverick-security; urgency=low

  * SECURITY UPDATE: XSS in unvalidated URI attributes
    - Added a filter to sanitise user input urls (LP: #888358)
    - debian/patches/CVE-2011-2771.patch: upstream patch
    - CVE-2011-2771

  * SECURITY UPDATE: DoS attack via invalid or excessively large images
    - Added a check to evaluate available memory before processing
      (LP: #888358)
    - debian/patches/CVE-2011-2772.patch: upstream patch
    - CVE-2011-2772

  * SECURITY UPDATE: XSRF allowing attackers to trick an admin into adding
    them to an institution
    - Session check added (LP: #888358)
    - debian/patches/CVE-2011-2773.patch: upstream patch
    - CVE-2011-2773

  * SECURITY UPDATE: Prevent masquerading users from jumping as others
    - Added a check to prevent jumping as other users. (LP: #888358)
    - debian/patches/mnet_masquerading.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Tue, 08 Nov 2011 18:59:14 +1300

mahara (1.2.5-2ubuntu0.2) maverick-security; urgency=low

  * SECURITY UPDATE: fixes to session key validation (CSRF)
    - debian/patches/CVE-2011-1403.patch: upstream patch

  * SECURITY UPDATE: privilege escalations
    - debian/patches/CVE-2011-1402.patch: upstream patch

  * SECURITY UPDATE: information disclosure in AJAX calls
    - debian/patches/CVE-2011-1404.patch: upstream patch

  * SECURITY UPDATE: https to http downgrade
    - debian/patches/CVE-2011-1406.patch: upstream patch

  * SECURITY UPDATE: sanitisation of HTML emails
    - debian/patches/CVE-2011-1405.patch: upstream patch

 -- Francois Marier <francois@debian.org>  Tue, 10 May 2011 16:34:51 +1200

mahara (1.2.5-2ubuntu0.1) maverick-security; urgency=low

  * SECURITY UPDATE: cross-site scripting vulnerability
    - debian/patches/CVE-2011-0439.dpatch: upstream patch
    - CVE-2011-0439

  * SECURITY UPDATE: possible cross-site request forgery (deleting blogs)
    - debian/patches/CVE-2011-0440.dpatch: upstream patch
    - CVE-2011-0440

 -- Francois Marier <francois@debian.org>  Fri, 25 Mar 2011 16:38:51 +1300

mahara (1.2.5-2) unstable; urgency=low

  * Remove postgresql8.3 from recommends, add postgresql8.4
  * Add mysql-server-5.1 to recommends

 -- Francois Marier <francois@debian.org>  Tue, 06 Jul 2010 17:35:06 +1200

mahara (1.2.5-1) unstable; urgency=high

  * New upstream release
    - multiple cross-site scripting vulnerabilities (CVE-2010-1667)
    - multiple cross-site request forgery vulnerabilities (CVE-2010-1668)
    - sql injection (CVE-2010-1669)
    - unsafe auth plugins configuration options (CVE-2010-1670)

  * Use system's version of HTML purifier (CVE-2010-2479)
  * Add missing symlink to PEAR's File module to fix csv parsing

  * Remove reference to the common BSD license in debian/copyright
  * Bump Standards-Version to 3.9.0

 -- Francois Marier <francois@debian.org>  Mon, 05 Jul 2010 15:45:27 +1200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: mahara
 Section: web
 Priority: optional
-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
 Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
 Build-Depends: debhelper (>= 7), po-debconf
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://www.mahara.org
 Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary
 
 Package: mahara
 Architecture: all
-Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl
-Recommends: mahara-apache2, postgresql | postgresql-8.3 | mysql-server | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
+Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier
+Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1 | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
 Description: Electronic portfolio, weblog, and resume builder
  Mahara is a fully featured electronic portfolio, weblog, resume builder and
  social networking system, connecting users and  creating online communities.

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR
 	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR.php
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/dwoo/dwoo
+	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/htmlpurifier
 
 	# Fix broken permissions
 	chmod -x $(CURDIR)/debian/mahara/usr/share/mahara/lib/pieforms/pieform/*/*.php

## mahara 1.2.6

=== debian/changelog ===
mahara (1.2.6-2+squeeze2) stable-security; urgency=high

  * SECURITY UPDATE: fixes to session key validation (CSRF)
    - debian/patches/CVE-2011-1403.patch: upstream patch

  * SECURITY UPDATE: privilege escalations
    - debian/patches/CVE-2011-1402.patch: upstream patch

  * SECURITY UPDATE: information disclosure in AJAX calls
    - debian/patches/CVE-2011-1404.patch: upstream patch

  * SECURITY UPDATE: https to http downgrade
    - debian/patches/CVE-2011-1406.patch: upstream patch

  * SECURITY UPDATE: sanitisation of HTML emails
    - debian/patches/CVE-2011-1405.patch: upstream patch

 -- Francois Marier <francois@debian.org>  Mon, 09 May 2011 13:30:06 +1200

mahara (1.2.6-2+squeeze1) stable-security; urgency=high

  * SECURITY UPDATE: cross-site scripting vulnerability
    - debian/patches/CVE-2011-0439.dpatch: upstream patch
    - CVE-2011-0439

  * SECURITY UPDATE: possible cross-site request forgery (deleting blogs)
    - debian/patches/CVE-2011-0440.dpatch: upstream patch
    - CVE-2011-0440

 -- Francois Marier <francois@debian.org>  Fri, 18 Mar 2011 15:51:03 +1300

mahara (1.2.6-2) unstable; urgency=medium

  * Move flowplayer.audio to the contrib package as well
  * Add an allow rule in apache.conf for flowplayer.audio

 -- Francois Marier <francois@debian.org>  Mon, 06 Sep 2010 20:59:44 +1200

mahara (1.2.6-1) unstable; urgency=medium

  * New upstream release (to address #591200):
    - removal of the tinymce media plugin
    - replaced the non-free media player with flowplayer

  * Move mediaplayer into a separate contrib package (closes: #591200)
  * Relax the deny rule on serving lib to make flowplayer work
  * Add a dependency on tinymce and use that instead of bundled version

  * Bump Standards-Version up to 3.9.1
  * Urgency set to medium because of RC bug

 -- Francois Marier <francois@debian.org>  Mon, 06 Sep 2010 20:51:17 +1200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: mahara
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
+Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
 Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
 Build-Depends: debhelper (>= 7), po-debconf
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.mahara.org
 Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary
 
 Package: mahara
 Architecture: all
-Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier
+Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier, tinymce
 Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1 | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
+Suggests: mahara-mediaplayer
 Description: Electronic portfolio, weblog, and resume builder
  Mahara is a fully featured electronic portfolio, weblog, resume builder and
  social networking system, connecting users and  creating online communities.
@@ -36,3 +36,17 @@
  professional learning and development environment.
  .
  This package configures Mahara for the Apache 2.x web server.
+
+Section: contrib/web
+Package: mahara-mediaplayer
+Architecture: all
+Depends: ${misc:Depends}, mahara (>= ${source:Version})
+Conflicts: mahara-apache
+Description: Electronic portfolio, weblog, and resume builder - internal media player
+ Mahara is a fully featured electronic portfolio, weblog, resume builder and
+ social networking system, connecting users and  creating online communities.
+ .
+ Mahara is designed to provide users with the tools to create a personal and
+ professional learning and development environment.
+ .
+ This package includes a flash-based internal media player block.

=== debian/watch ===
version=3
https://launchpad.net/mahara/+download http://launchpad.net/mahara/[\d.]+/[\d.]+/\+download/mahara-([\d.]+).tar.gz

## mahara 1.2.7

=== debian/changelog ===
mahara (1.2.7-1ubuntu0.3) natty-security; urgency=low

  * SECURITY UPDATE: Fix default config for sites with multiple SAML instances
    - Default configuration changed to prevent impersonation (LP: #958841)
    - debian/patches/saml_multi_default_config.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Wed, 21 Mar 2012 01:38:40 +0000

mahara (1.2.7-1ubuntu0.2) natty-security; urgency=low

  * SECURITY UPDATE: XSS in unvalidated URI attributes
    - Added a filter to sanitise user input urls (LP: #888358)
    - debian/patches/CVE-2011-2771.patch: upstream patch
    - CVE-2011-2771

  * SECURITY UPDATE: DoS attack via invalid or excessively large images
    - Added a check to evaluate available memory before processing
      (LP: #888358)
    - debian/patches/CVE-2011-2772.patch: upstream patch
    - CVE-2011-2772

  * SECURITY UPDATE: XSRF allowing attackers to trick an admin into adding 
    them to an institution
    - Session check added (LP: #888358)
    - debian/patches/CVE-2011-2773.patch: upstream patch
    - CVE-2011-2773

  * SECURITY UPDATE: Prevent masquerading users from jumping as others
    - Added a check to prevent jumping as other users. (LP: #888358)
    - debian/patches/mnet_masquerading.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Wed, 02 Nov 2011 21:50:04 +0000

mahara (1.2.7-1ubuntu0.1) natty-security; urgency=low

  * SECURITY UPDATE: fixes to session key validation (CSRF)
    - debian/patches/CVE-2011-1403.patch: upstream patch

  * SECURITY UPDATE: privilege escalations
    - debian/patches/CVE-2011-1402.patch: upstream patch

  * SECURITY UPDATE: information disclosure in AJAX calls
    - debian/patches/CVE-2011-1404.patch: upstream patch

  * SECURITY UPDATE: https to http downgrade
    - debian/patches/CVE-2011-1406.patch: upstream patch

  * SECURITY UPDATE: sanitisation of HTML emails
    - debian/patches/CVE-2011-1405.patch: upstream patch

 -- Francois Marier <francois@debian.org>  Tue, 10 May 2011 16:36:06 +1200

mahara (1.2.7-1) unstable; urgency=high

  * New upstream security release:
    - CVE-2011-0439 (XSS in select boxes)
    - CVE-2011-0440 (CSRF when deleting blogs)

  * Add Italian debconf translation (closes: #606378)
  * Add Danish debconf translation (closes: #597766)
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Fri, 25 Mar 2011 16:08:31 +1300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mahara
 Section: web
 Priority: optional
-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
 Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
-Build-Depends: debhelper (>= 7), po-debconf
+Build-Depends: debhelper (>= 8), po-debconf
 Standards-Version: 3.9.1
 Homepage: http://www.mahara.org
 Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git

## mahara 1.4.0

=== debian/changelog ===
mahara (1.4.0-1ubuntu0.2) oneiric-security; urgency=low

  * SECURITY UPDATE: Fix default config for sites with multiple SAML instances
    - Default configuration changed to prevent impersonation (LP: #958841)
    - debian/patches/saml_multi_default_config.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Wed, 21 Mar 2012 14:43:12 +1300

mahara (1.4.0-1ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: XSS in unvalidated URI attributes
    - Added a filter to sanitise user input urls (LP: #888358)
    - debian/patches/CVE-2011-2771.patch: upstream patch
    - CVE-2011-2771

  * SECURITY UPDATE: DoS attack via invalid or excessively large images
    - Added a check to evaluate available memory before processing
      (LP: #888358)
    - debian/patches/CVE-2011-2772.patch: upstream patch
    - CVE-2011-2772

  * SECURITY UPDATE: XSRF allowing attackers to trick an admin into adding
    them to an institution
    - remove unreferenced and vulnerable addtoinstitution.php (LP: #888358)
    - debian/patches/CVE-2011-2773.patch: upstream patch
    - CVE-2011-2773

  * SECURITY UPDATE: Information disclosure exposing private messages
    - User check to ensure they are conversation participant (LP: #888358)
    - debian/patches/CVE-2011-2774.patch: upstream patch
    - CVE-2011-2774

  * SECURITY UPDATE: Prevent masquerading users from jumping as others
    - Added a check to prevent jumping as other users. (LP: #888358)
    - debian/patches/mnet_masquerading.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Thu, 03 Nov 2011 22:32:45 +0000

mahara (1.4.0-1) unstable; urgency=low

  * New major upstream release
    - upstream .htaccess file has been removed

  * Add missing (empty) build targets in debian/rules (lintian warning)

 -- Francois Marier <francois@debian.org>  Wed, 22 Jun 2011 14:58:47 +1200

mahara (1.3.6-1) unstable; urgency=high

  * New upstream release (major security fixes):
    - CVE-2011-1402
    - CVE-2011-1403
    - CVE-2011-1404
    - CVE-2011-1405
    - CVE-2011-1406

  * Fix versioned dependency of mahara-apache2
  * Drop mysql-server-5.0 recommendation
  * Bump Standards-Version up to 3.9.2

 -- Francois Marier <francois@debian.org>  Tue, 10 May 2011 13:55:55 +1200

mahara (1.3.5-1) unstable; urgency=low

  * Major new upstream release
    - compatibility with HTML Purifier 4.3.0

  * Remove unused Mochikit lintian override
  * Update path of flowplayer in debian/rules
  * Fix more broken permissions in debian/rules
  * Add dependency on ttf-bitstream-vera and remove Mahara's bundled copy
  * Sync Uploaders field with Launchpad Team

 -- Francois Marier <francois@debian.org>  Mon, 11 Apr 2011 15:52:10 +1200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
-Uploaders: Francois Marier <francois@debian.org>, Penny Leach <penny@mjollnir.org>
+Uploaders: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 8), po-debconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.mahara.org
 Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary
 
 Package: mahara
 Architecture: all
-Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier, tinymce
-Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1 | mysql-server-5.0, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
+Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier (>= 4.3.0), tinymce, ttf-bitstream-vera
+Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
 Suggests: mahara-mediaplayer
 Description: Electronic portfolio, weblog, and resume builder
  Mahara is a fully featured electronic portfolio, weblog, resume builder and
@@ -27,7 +27,7 @@
 
 Package: mahara-apache2
 Architecture: all
-Depends: ${misc:Depends}, mahara (>= 1.0.1-1), apache2, libapache2-mod-php5
+Depends: ${misc:Depends}, mahara (>= ${source:Version}), apache2, libapache2-mod-php5
 Conflicts: mahara-apache
 Description: Electronic portfolio, weblog, and resume builder - apache2 configuration
  Mahara is a fully featured electronic portfolio, weblog, resume builder and

## mahara 1.4.1

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,30 @@
 	find . -iname '*.jpg' -exec jpegoptim -q -p --strip-all {} \;
 	find . -iname '*.jpeg' -exec jpegoptim -q -p --strip-all {} \;
 
+branch := $(GERRIT_REFSPEC)
+ifeq (, $(branch))
+branch := $(shell bash -c "git branch | grep \* | sed -e 's/ *\* *//'" )
+endif
+
+ifeq ("(no branch)", "$(branch)")
+remote := origin
+else
+remote := $(shell bash -c "git config --get branch.$(branch).remote" )
+endif
+
+ifeq (".", "$(remote)")
+remote := origin
+endif
+ifeq ("", "$(remote)")
+remote := origin
+endif
+
+commitid := $(shell bash -c "git merge-base $(remote)/1.4_STABLE HEAD")
+
 minaccept:
-	@echo "Running minimum acceptance test..."; find htdocs/ -type f -name "*.php" | xargs -n 1 -P 2 php -l > /dev/null && echo All good!
+	@echo "Running minimum acceptance test..."
+	@find htdocs/ -type f -name "*.php" | xargs -n 1 -P 2 php -l > /dev/null && echo All good!
+	@if git rev-parse --verify HEAD 2>/dev/null; then git diff-index -p -M --cached $(commitid) -- ; fi | test/coding-standard-check.pl
 
 checksignoff:
 	@branch=`git status | head -1 | sed 's/.* On branch //'`; \

=== debian/changelog ===
mahara (1.4.1-1) unstable; urgency=low

  * New upstream release
    - CVE-2011-2771
    - CVE-2011-2772
    - CVE-2011-2773
    - CVE-2011-2774

 -- Francois Marier <francois@debian.org>  Fri, 04 Nov 2011 12:16:06 +1300

## mahara 1.4.2

=== debian/changelog ===
mahara (1.4.2-1) unstable; urgency=high

  * New upstream release
  * SECURITY UPDATE: Fix default config for sites with multiple SAML instances
    - Default configuration changed to prevent impersonation

 -- Melissa Draper <melissa@catalyst.net.nz>  Wed, 14 Mar 2012 01:53:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mahara
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
-Uploaders: Francois Marier <francois@debian.org>
+Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
+Uploaders: Melissa Draper <melissa@catalyst.net.nz>
 Build-Depends: debhelper (>= 8), po-debconf
 Standards-Version: 3.9.2
 Homepage: http://www.mahara.org

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 	touch configure-stamp
 
 build: configure-stamp
+build-arch: build
+build-indep: build
 
 install: configure-stamp
 	dh_testdir
@@ -41,16 +43,24 @@
 	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR.php
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/dwoo/dwoo
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/htmlpurifier
+	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/js/tinymce
+	rm $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/Image/Canvas/Fonts/Vera.ttf
+	rmdir $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/Image/Graph/Images/Maps/
 
 	# Fix broken permissions
-	chmod -x $(CURDIR)/debian/mahara/usr/share/mahara/lib/pieforms/pieform/*/*.php
+	find $(CURDIR)/debian/mahara/usr/share/mahara -type f -name "*.gif" -exec chmod -x {} \;
+	find $(CURDIR)/debian/mahara/usr/share/mahara -type f -name "*.jpg" -exec chmod -x {} \;
+	find $(CURDIR)/debian/mahara/usr/share/mahara -type f -name "*.png" -exec chmod -x {} \;
+	find $(CURDIR)/debian/mahara/usr/share/mahara -type f -name "*.tpl" -exec chmod -x {} \;
+
+	# Move mediaplayer block into the contrib package
+	mv $(CURDIR)/debian/mahara/usr/share/mahara/artefact/file/blocktype/internalmedia $(CURDIR)/debian/mahara-mediaplayer/usr/share/mahara/artefact/file/blocktype/
 
 	# Config files (common package)
 	cp $(CURDIR)/debian/config.php $(CURDIR)/debian/mahara/etc/mahara/
 	cp $(CURDIR)/htdocs/robots.txt $(CURDIR)/debian/mahara/etc/mahara/
 
 	# Config file (-apache2)
-	cp $(CURDIR)/htdocs/.htaccess $(CURDIR)/debian/mahara-apache2/usr/share/mahara
 	cp $(CURDIR)/debian/apache.conf $(CURDIR)/debian/mahara-apache2/etc/mahara/apache.conf
 
 clean:

## mahara 1.5.1

=== Makefile ===
all:
	@echo "Run 'make imageoptim' to losslessly optimise all images"
	@echo "Run 'make minaccept' to run the quick pre-commit tests"
	@echo "Run 'make checksignoff' to check that your commits are all Signed-off-by"
	@echo "Run 'make push' to push your changes to the repo"

imageoptim:
	find . -iname '*.png' -exec optipng -o7 -q {} \;
	find . -iname '*.gif' -exec gifsicle -O2 -b {} \;
	find . -iname '*.jpg' -exec jpegoptim -q -p --strip-all {} \;
	find . -iname '*.jpeg' -exec jpegoptim -q -p --strip-all {} \;

minaccept:
	@echo "Running minimum acceptance test..."
	@find htdocs/ -type f -name "*.php" | xargs -n 1 -P 2 php -l > /dev/null && echo All good!
	@find htdocs/ -type f -name "install.xml" -path "*/db/install.xml" | xargs -n 1 -P 2 xmllint --schema htdocs/lib/xmldb/xmldb.xsd --noout
	@if git rev-parse --verify HEAD 2>/dev/null; then git show HEAD ; fi | test/coding-standard-check.pl

jenkinsaccept: minaccept
	@find ./ ! -path './.git/*' -type f | xargs clamscan > /dev/null && echo All good!

push: minaccept
	@echo "Pushing the change upstream..."
	@if test -z "$(TAG)"; then \
		git push gerrit HEAD:refs/for/1.5_STABLE; \
	else \
		git push gerrit HEAD:refs/for/1.5_STABLE/$(TAG); \
	fi

=== debian/changelog ===
mahara (1.5.1-2) unstable; urgency=high

  * SECURITY UPDATE: Fix multiple cross-site scripting vulnerabilities
    - Sanitize json-encode login form when injected by js
    - Sanitize links in links and resources menu
    - Sanitize file description for blog image editor
    - Add escaping to user_display_name by adding to dwoo template
    - debian/patches/CVE-2012-2237-0001.patch: upstream patch
    - debian/patches/CVE-2012-2237-0002.patch: upstream patch
    - debian/patches/CVE-2012-2237-0003.patch: upstream patch
    - debian/patches/CVE-2012-2237-0004.patch: upstream patch

 -- Melissa Draper <melissa@catalyst.net.nz>  Mon, 16 Jul 2012 09:37:07 +0000

mahara (1.5.1-1) unstable; urgency=low

  [ Melissa Draper ]
  * New major upstream release
    - Improved password storage
    - Database triggers
    - php minimum version now 5.3

  * Drop dependency on Dwoo and use bundled version instead
  * Update versioned dependencies on Postgres and MySQL
  * Add libjs-jquery dependency
  * Bump Standards-Version up to 3.9.3
  * Bump debhelper compatibility to 9

  [ Francois Marier ]
  * Fix watch file
  * Update homepage URL in debian/control 
  * Update Alioth URLs

 -- Melissa Draper <melissa@catalyst.net.nz>  Thu, 31 May 2012 12:03:15 +1200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Mahara Packaging Team <mahara-packaging@lists.launchpad.net>
 Uploaders: Melissa Draper <melissa@catalyst.net.nz>
-Build-Depends: debhelper (>= 8), po-debconf
-Standards-Version: 3.9.2
-Homepage: http://www.mahara.org
-Vcs-Git: git://git.debian.org/git/collab-maint/mahara.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mahara.git;a=summary
+Build-Depends: debhelper (>= 9), po-debconf
+Standards-Version: 3.9.3
+Homepage: https://mahara.org
+Vcs-Git: git://anonscm.debian.org/collab-maint/mahara.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mahara.git;a=summary
 
 Package: mahara
 Architecture: all
-Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, dwoo, php5-curl, php-htmlpurifier (>= 4.3.0), tinymce, ttf-bitstream-vera
-Recommends: mahara-apache2, postgresql | postgresql-8.4 | mysql-server | mysql-server-5.1, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
+Depends: ${misc:Depends}, php5-pgsql | php5-mysql, php5-cli, php5-gd, file, cron, perl, ttf-freefont, php-file, php-pear, php5-curl, php-htmlpurifier, tinymce, libjs-jquery, ttf-bitstream-vera
+Recommends: mahara-apache2, postgresql-9.2 | postgresql-9.1 | postgresql | mysql-server-5.5 | mysql-server-5.1 | mysql-server, clamav, clamav-daemon, php5-xmlrpc, php5-imagick, libfile-slurp-perl, libtext-diff-perl
 Suggests: mahara-mediaplayer
 Description: Electronic portfolio, weblog, and resume builder
  Mahara is a fully featured electronic portfolio, weblog, resume builder and

=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,9 @@
 	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/File.php
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR
 	rm -f $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/PEAR.php
-	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/dwoo/dwoo
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/lib/htmlpurifier
 	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/js/tinymce
+	rm -rf $(CURDIR)/debian/mahara/usr/share/mahara/js/jquery
 	rm $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/Image/Canvas/Fonts/Vera.ttf
 	rmdir $(CURDIR)/debian/mahara/usr/share/mahara/lib/pear/Image/Graph/Images/Maps/

=== debian/watch ===
version=3
https://launchpad.net/mahara/+download https://launchpad.net/mahara/[\d.]+/[\d.]+/\+download/mahara-([\d.]+).tar.gz
